Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
경로 매개 변수
name
string
필수
Name of the model.
version
string
필수
Version of the model.
요청 본문
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
필수
The type of pending upload. Only TemporaryBlobReference is supported for models.
응답
The request has succeeded.
본문
blobReference
BlobReference
필수
Blob reference details.
blobUri
string
필수
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
필수
ARM ID of the storage account to use.
credential
SasCredential
필수
SAS Credential definition
sasUri
string
필수
SAS uri
type
enum
필수
Type of credential
pendingUploadId
string
필수
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
필수
The type of pending upload. Only TemporaryBlobReference is supported for models.
요청
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json